SQL Compare 14

Requirements

To use SQL Compare you need:

Supported SQL Server versions

  • SQL Server 2019
  • SQL Server 2017
  • SQL Server 2016
  • SQL Server 2014
  • SQL Server 2012
  • SQL Server 2008 R2
  • SQL Server 2008
  • Microsoft Azure SQL Database
  • SQL Server on Amazon RDS

Support for reading backups

The 'backup' data source type has further limitations:

  • Natively compressed / encrypted backups are not supported
  • Advanced table features, e.g. file tables, memory-optimized tables, temporal tables are not supported
  • Some SQL Server 2012+ only object types, e.g. sequences are not supported

Didn't find what you were looking for?